diff --git a/cmake/JSSConfig.cmake b/cmake/JSSConfig.cmake
index 3ca7ede6..71274d44 100644
--- a/cmake/JSSConfig.cmake
+++ b/cmake/JSSConfig.cmake
@@ -265,10 +265,8 @@ macro(jss_config_java)
     list(APPEND JSS_JAVAC_FLAGS "${PROJECT_SOURCE_DIR}")
 
     # Ensure we're compatible with JDK 8
-    list(APPEND JSS_JAVAC_FLAGS "-target")
-    list(APPEND JSS_JAVAC_FLAGS "1.8")
-    list(APPEND JSS_JAVAC_FLAGS "-source")
-    list(APPEND JSS_JAVAC_FLAGS "1.8")
+    list(APPEND JSS_JAVAC_FLAGS "--release")
+    list(APPEND JSS_JAVAC_FLAGS "8")
 
     # Handle passed-in javac flags as well; assume they are valid.
     separate_arguments(PASSED_JAVAC_FLAGS UNIX_COMMAND "$ENV{JAVACFLAGS}")
